summaryrefslogtreecommitdiffstats
path: root/slackware64-current/source/a/minicom/minicom.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'slackware64-current/source/a/minicom/minicom.SlackBuild')
-rwxr-xr-xslackware64-current/source/a/minicom/minicom.SlackBuild12
1 files changed, 6 insertions, 6 deletions
diff --git a/slackware64-current/source/a/minicom/minicom.SlackBuild b/slackware64-current/source/a/minicom/minicom.SlackBuild
index 3d38d2514..354b3bd01 100755
--- a/slackware64-current/source/a/minicom/minicom.SlackBuild
+++ b/slackware64-current/source/a/minicom/minicom.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011, 2012, 2013 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2013, 2017 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,7 +21,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=2.6.2
+VERSION=2.7
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j6}
@@ -29,7 +29,7 @@ NUMJOBS=${NUMJOBS:--j6}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -40,8 +40,8 @@ CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-minicom
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mcpu=i686"
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
@@ -72,7 +72,7 @@ CFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc \
--mandir=/usr/man \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1